MOUNTPOINT(1)

NAME
mountpoint - see if a directory or file is a mountpoint

SYNOPSIS

mountpoint [-d|-q] directory|file

mountpoint -x device

DESCRIPTION

mountpoint checks whether the given directory or file is mentioned in the /proc/self/mountinfo file.

OPTIONS

-d, --fs-devno
    Show the major/minor numbers of the device that is mounted on the given directory.

-q, --quiet
    Be quiet - don’t print anything.

--nofollow
    Do not follow symbolic link if it the last element of the directory path.

-x, --devno
    Show the major/minor numbers of the given blockdevice on standard output.

-h, --help
    Display help text and exit.

-V, --version
    Print version and exit.

EXIT STATUS

mountpoint has the following exit status values:

0
    success; the directory is a mountpoint, or device is block device on --devno

1
    failure; incorrect invocation, permissions or system error

32
    failure; the directory is not a mountpoint, or device is not a block device on --devno

ENVIRONMENT

LIBMOUNT_DEBUG=all
    enables libmount debug output.

NOTES

The util-linux mountpoint implementation was written from scratch for libmount. The original version for sysvinit suite was written by Miquel van Smoorenburg.

AUTHORS

SEE ALSO

mount(8)

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The mountpoint command is part of the util-linux package which can be downloaded from